Log Corpus Item Referral & Redirect
Records a referral for a corpus item and, when a url is supplied, issues a 302 redirect to it. Without a url, responds with a success message. Requires either the search API entitlement or a signed browser_key cookie.
Authentication
x-api-keystring
API key for authentication
OR
AuthorizationBearer
Bearer token authentication
Path parameters
model
Listing model. One of collection, contributor, organization, or source.
id
The numeric ID of the corpus item
Query parameters
prompt_id
user_id
url
URL-encoded destination to redirect to after logging the referral.
Response
Referral successfully logged
success
message
Errors
403
Forbidden Error
422
Unprocessable Entity Error
500
Internal Server Error